## org.openqa.selenium.server.commands
Class CaptureScreenshotCommand

    java.lang.Object
      org.openqa.selenium.server.commands.Command
          org.openqa.selenium.server.commands.CaptureScreenshotCommand

    public class CaptureScreenshotCommand

extends Command

Captures a full screen shot of the current screen using the java.awt.Robot class.

Field Summary
`static java.lang.String` `ID`

Constructor Summary
`CaptureScreenshotCommand(java.lang.String fileName)`

Method Summary
`void` `captureSystemScreenshot()`
`java.lang.String` `execute()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ID

    public static final java.lang.String ID

See Also:
  Constant Field Values

Constructor Detail

### CaptureScreenshotCommand

    public CaptureScreenshotCommand(java.lang.String fileName)

Method Detail

### execute

    public java.lang.String execute()

  Specified by:
    `execute` in class `Command`

### captureSystemScreenshot

    public void captureSystemScreenshot()
                                 throws java.io.IOException,
                                        java.lang.InterruptedException,
                                        java.util.concurrent.ExecutionException,
                                        java.util.concurrent.TimeoutException

  Throws:
    `java.io.IOException`
    `java.lang.InterruptedException`
    `java.util.concurrent.ExecutionException`
    `java.util.concurrent.TimeoutException`

Copyright © 2009. All Rights Reserved.